VirtualBox

Ticket #11216 (closed defect: wontfix)

Opened 17 months ago

Last modified 17 months ago

Ubuntu package does not install cleanly when upgrading

Reported by: dbr Owned by:
Priority: major Component: installer
Version: VirtualBox 4.2.4 Keywords:
Cc: Guest type: other
Host type: Linux

Description

When installing the 4.2.4 package on precise while the ubuntu package of virtualbox 4.1.12 is present, the installation fails with:

dpkg: error processing /var/cache/apt/archives/virtualbox-4.2_4.2.4-81684~Ubuntu~precise_amd64.deb (--unpack):

trying to overwrite '/usr/share/virtualbox/VBoxGuestAdditions.iso', which is also in package virtualbox-guest-additions-iso 4.1.12-1

I believe your package should conflict with virtualbox-guest-additions-iso in the same way as it already conflicts with "virtualbox".

Change History

comment:1 Changed 17 months ago by frank

  • Status changed from new to closed
  • Resolution set to wontfix

This works like designed. There is just no clean upgrade path because otherwise VirtualBox 4.1 packages would automatically upgrade to VirtualBox 4.2 which is sometimes not what the user wants. Some users like to stay on the 4.1.x releases. So before you install any 4.2.x release you have to uninstall any installed 4.1.x release.

And the virtualbox-guest-additions-iso package is not an Oracle package so you have to uninstall this package as well before you install the virtualbox-4.2 package.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use